# Uses of Class
net.shibboleth.idp.saml.nameid.NameDecoderException

Packages that use NameDecoderException
Package
Description
net.shibboleth.idp.saml.nameid
Code for manipulating NameIDs and NameIdentifiers.
net.shibboleth.idp.saml.nameid.impl
Implementation of SAML `NameID` and `NameIdentifier` generation and consumption.

## Uses of NameDecoderException in net.shibboleth.idp.saml.nameid

Methods in net.shibboleth.idp.saml.nameid that throw NameDecoderException
Modifier and Type
Method
Description
`String`
NameIDDecoder.`decode(SubjectCanonicalizationContext c14nContext, NameID nameID)`
Decode the provided `NameID`.
`String`
NameIdentifierDecoder.`decode(SubjectCanonicalizationContext c14nContext, NameIdentifier nameID)`
Decode the provided `NameIdentifier`.

## Uses of NameDecoderException in net.shibboleth.idp.saml.nameid.impl

Methods in net.shibboleth.idp.saml.nameid.impl that throw NameDecoderException
Modifier and Type
Method
Description
`String`
BaseTransientDecoder.`decode(String transientId, String requesterId)`
Convert the transient Id into the principal.
`String`
StoredPersistentIdDecoder.`decode(SubjectCanonicalizationContext c14nContext, NameID nameID)`
Decode the provided `NameID`.
`String`
TransformingNameIDDecoder.`decode(SubjectCanonicalizationContext c14nContext, NameID nameIdentifier)`
Decode the provided `NameID`.
`String`
TransformingNameIdentifierDecoder.`decode(SubjectCanonicalizationContext c14nContext, NameIdentifier nameIdentifier)`
Decode the provided `NameIdentifier`.
`String`
TransientNameIDDecoder.`decode(SubjectCanonicalizationContext c14nContext, NameID nameID)`
Decode the provided `NameID`.
`String`
TransientNameIdentifierDecoder.`decode(SubjectCanonicalizationContext c14nContext, NameIdentifier nameIdentifier)`
Decode the provided `NameIdentifier`.